=== src/Alignment/CMakeLists.txt ===
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/Align.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/Align.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(align STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} )

TARGET_LINK_LIBRARIES(align Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Concurrent)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} align PARENT_SCOPE)
