=== src/HdrCreation/CMakeLists.txt ===
SET(FILES_HXX
    ${CMAKE_CURRENT_SOURCE_DIR}/debevec.h
    ${CMAKE_CURRENT_SOURCE_DIR}/robertson02.h
    ${CMAKE_CURRENT_SOURCE_DIR}/responses.h
    ${CMAKE_CURRENT_SOURCE_DIR}/weights.h
    ${CMAKE_CURRENT_SOURCE_DIR}/fusionoperator.h
    ${CMAKE_CURRENT_SOURCE_DIR}/mtb_alignment.h
)
SET(FILES_CPP
    ${CMAKE_CURRENT_SOURCE_DIR}/debevec.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/robertson02.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/responses.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/weights.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/fusionoperator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/mtb_alignment.cpp
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(hdrcreation STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX})
TARGET_LINK_LIBRARIES(hdrcreation Qt5::Core)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} hdrcreation PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} hdrcreation PARENT_SCOPE)
