=== src/MainCli/CMakeLists.txt ===

SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/commandline.h)
SET(FILES_HPP
${CMAKE_CURRENT_SOURCE_DIR}/ezETAProgressBar.hpp)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/commandline.cpp
${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(main_cli STATIC ${FILES_H} ${FILES_HPP} ${FILES_CPP} ${FILES_MOC})
#TARGET_LINK_LIBRARIES(main_cli Qt5::Core Qt5::Gui Qt5::Widgets)
TARGET_LINK_LIBRARIES(main_cli Qt5::Core Qt5::Gui)


SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} main_cli PARENT_SCOPE)
