=== src/MainGui/CMakeLists.txt ===
#SET(FILES_UI )
#SET(FILES_H )
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)

#QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(main_gui STATIC ${FILES_CPP}) # ${FILES_H}  ${FILES_MOC}
TARGET_LINK_LIBRARIES(main_gui Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Sql)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP}  PARENT_SCOPE) # ${FILES_H}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} main_gui PARENT_SCOPE)
