=== src/MainWindow/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.ui
${CMAKE_CURRENT_SOURCE_DIR}/DnDOption.ui
${CMAKE_CURRENT_SOURCE_DIR}/DonationDialog.ui
)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.h
${CMAKE_CURRENT_SOURCE_DIR}/DnDOption.h
${CMAKE_CURRENT_SOURCE_DIR}/UpdateChecker.h
${CMAKE_CURRENT_SOURCE_DIR}/DonationDialog.h
)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/MainWindow.cpp
${CMAKE_CURRENT_SOURCE_DIR}/DnDOption.cpp
${CMAKE_CURRENT_SOURCE_DIR}/UpdateChecker.cpp
${CMAKE_CURRENT_SOURCE_DIR}/DonationDialog.cpp
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(mainwindow STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})
TARGET_LINK_LIBRARIES(mainwindow Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml Qt5::Network Qt5::Concurrent)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} mainwindow PARENT_SCOPE)
