=== src/PreviewPanel/CMakeLists.txt ===
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/PreviewPanel.h
${CMAKE_CURRENT_SOURCE_DIR}/PreviewLabel.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/PreviewPanel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/PreviewLabel.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(previewpanel STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC})
TARGET_LINK_LIBRARIES(previewpanel Qt5::Core Qt5::Concurrent Qt5::Gui Qt5::Widgets)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} previewpanel PARENT_SCOPE)
