=== debian/changelog ===
luminance-hdr (2.6.0+dfsg-2build6) groovy; urgency=medium

  * No change rebuild against new cfitsio ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:47:47 +0100

luminance-hdr (2.6.0+dfsg-2build5) groovy; urgency=medium

  * No change rebuild against new ilmbase ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:38:48 +0100

luminance-hdr (2.6.0+dfsg-2build4) groovy; urgency=medium

  * No-change rebuild against libgsl25

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 07 May 2020 22:16:20 +0000

luminance-hdr (2.6.0+dfsg-2build3) focal; urgency=medium

  * No-change rebuild for exiv2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Feb 2020 20:21:39 +0100

luminance-hdr (2.6.0+dfsg-2build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:01:02 +0000

luminance-hdr (2.6.0+dfsg-2build1) focal; urgency=medium

  * No-change rebuild against libilmbase24 and libopenexr24.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2019 07:25:29 +0000

luminance-hdr (2.6.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Sep 2019 10:47:58 +0200

luminance-hdr (2.6.0+dfsg-1) experimental; urgency=low

  * Replace get-orig-source target with respective Files-Excluded statement in
    debian/copyright, add repacksuffix statement to debian/watch.
  * [lintian] Use DEB_VERSION_UPSTREAM from pkg-info.mk instead of parsing
    changelog.
  * Use dh 12 compat.
  * Simplify/shorten debian/rules.
  * Set Rules-Requires-Root: no.
  * Run "wrap-and-sort --max-line-length=72 --short-indent".
  * New upstream version.
   + Refresh patches, drop 05_upstream_qtwebkit.patch and
     65_fix-compilation-with-gcc9.patch.
   + Add 65_accept_buildtype_None.diff to accept CMAKE_BUILD_TYPE=None.
   + Add b-d on libeigen3-dev and a respective Built-Using field.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 23 Aug 2019 10:13:58 +0200

luminance-hdr (2.5.1+dfsg-4) unstable; urgency=medium

  * Fix FTBFS with gcc9. (Backported from upstream GIT). Closes: #925773
  * Point VCS-* to salsa.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 17 Aug 2019 19:13:08 +0200
