## luminance-hdr 2.6.1.1%2Bdfsg

=== src/Fileformat/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H )

SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.h
)

SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.cpp
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
# QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(fileformat STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}
TARGET_LINK_LIBRARIES(fileformat Qt5::Core Qt5::Gui Qt5::Widgets)

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} fileformat PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} fileformat PARENT_SCOPE)
