=== src/OsIntegration/CMakeLists.txt ===
#SET(FILES_UI )

SET(FILES_H
    ${CMAKE_CURRENT_SOURCE_DIR}/osintegration.h
)

#SET(FILES_HXX

SET(FILES_CPP
    ${CMAKE_CURRENT_SOURCE_DIR}/osintegration.cpp
)
    
IF(WIN32)
    SET(FILES_H
        ${FILES_H}
        ${CMAKE_CURRENT_SOURCE_DIR}/ecwin7.h
    )
    SET(FILES_CPP
        ${FILES_CPP}
        ${CMAKE_CURRENT_SOURCE_DIR}/ecwin7.cpp
    )
ENDIF()

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT5_WRAP_CPP(FILES_MOC ${FILES_H})
# QT5_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(osintegration STATIC ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}
TARGET_LINK_LIBRARIES(osintegration Qt5::Core Qt5::Gui Qt5::Widgets)
IF(WIN32)
TARGET_LINK_LIBRARIES(osintegration Qt5::WinExtras)
ENDIF()

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} osintegration PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} osintegration PARENT_SCOPE)
