=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/v?\.?(\d\S+)\.tar\.gz/LuminanceHDR-$1\.tar\.gz/,dversionmangle=s/\+dfsg//,repacksuffix=+dfsg" \
  https://github.com/LuminanceHDR/LuminanceHDR/tags .*/v?\.?(\d\S+)\.tar\.gz
